Bug 1302674 - glusterd failing on FreeBSD; ImportError: cannot import name ENODATA
glusterd failing on FreeBSD; ImportError: cannot import name ENODATA
Status: POST
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
Unspecified FreeBSD
unspecified Severity unspecified
: ---
: ---
Assigned To: Aravinda VK
: Triaged
Depends On: 1195053
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 06:25 EST by Aravinda VK
Modified: 2016-03-28 18:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1195053
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aravinda VK 2016-01-28 06:25:15 EST
+++ This bug was initially created as a clone of Bug #1195053 +++

Description of problem:
When launching glusterd on a 10.1-RELEASE amd64 box Python is binning out with
ImportError: cannot import name ENODATA

Apparently ENODATA syscall error return code (errno), which FreeBSD does not implement. References to ENODATA should be replaced by ENOMSG 

Version-Release number of selected component (if applicable):
noticed in Gluster 3.6.1 and 3.6.2, does not happen with 3.6.0-beta3

How reproducible:

Grab the port release candidate and 3.6.2 diff from;
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=194409

extract, patch the diff, compile and install... 
then run glusterd --debug

Actual results:

3.6.2;
craig@zbox:/un/glusterfs> sudo glusterd --debug
[2015-02-22 14:29:41.556645] I [MSGID: 100030] [glusterfsd.c:2018:main] 0-glusterd: Started running glusterd version 3.6.2 (args: glusterd --debug)
[2015-02-22 14:29:41.556821] D [logging.c:1763:__gf_log_inject_timer_event] 0-logging-infra: Starting timer now. Timeout = 120, current buf size = 5
[2015-02-22 14:29:41.557655] D [MSGID: 0] [glusterfsd.c:613:get_volfp] 0-glusterfsd: loading volume file /usr/local/etc/glusterfs/glusterd.vol
[2015-02-22 14:29:41.568450] I [glusterd.c:1214:init] 0-management: Maximum allowed open file descriptors set to 65536
[2015-02-22 14:29:41.568681] I [glusterd.c:1259:init] 0-management: Using /var/lib/glusterd as working directory
[2015-02-22 14:29:41.569146] D [glusterd.c:391:glusterd_rpcsvc_options_build] 0-: listen-backlog value: 128
[2015-02-22 14:29:41.569576] D [rpcsvc.c:2198:rpcsvc_init] 0-rpc-service: RPC service inited.
[2015-02-22 14:29:41.569643] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GF-DUMP, Num: 123451501, Ver: 1, Port: 0
[2015-02-22 14:29:41.569785] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.6.2/rpc-transport/socket.so
[2015-02-22 14:29:41.572477] D [socket.c:3799:socket_init] 0-socket.management: SSL support on the I/O path is NOT enabled
[2015-02-22 14:29:41.572557] D [socket.c:3802:socket_init] 0-socket.management: SSL support for glusterd is NOT enabled
[2015-02-22 14:29:41.572593] D [socket.c:3819:socket_init] 0-socket.management: using system polling thread
[2015-02-22 14:29:41.572640] D [name.c:550:server_fill_address_family] 0-socket.management: option address-family not specified, defaulting to inet
[2015-02-22 14:29:41.572778] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.6.2/rpc-transport/rdma.so
[2015-02-22 14:29:41.572944] E [rpc-transport.c:266:rpc_transport_load] 0-rpc-transport: Cannot open "/usr/local/lib/glusterfs/3.6.2/rpc-transport/rdma.so"
[2015-02-22 14:29:41.572988] W [rpc-transport.c:270:rpc_transport_load] 0-rpc-transport: volume 'rdma.management': transport-type 'rdma' is not valid or not found on this machine
[2015-02-22 14:29:41.573025] W [rpcsvc.c:1524:rpcsvc_transport_create] 0-rpc-service: cannot create listener, initing the transport failed
[2015-02-22 14:29:41.573068] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc peer, Num: 1238437, Ver: 2, Port: 0
[2015-02-22 14:29:41.573108] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc cli read-only, Num: 1238463, Ver: 2, Port: 0
[2015-02-22 14:29:41.573144] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc mgmt, Num: 1238433, Ver: 2, Port: 0
[2015-02-22 14:29:41.573183] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc mgmt v3, Num: 1238433, Ver: 3, Port: 0
[2015-02-22 14:29:41.573218] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Portmap, Num: 34123456, Ver: 1, Port: 0
[2015-02-22 14:29:41.573257] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Handshake, Num: 14398633, Ver: 2, Port: 0
[2015-02-22 14:29:41.573292] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster MGMT Handshake, Num: 1239873, Ver: 1, Port: 0
[2015-02-22 14:29:41.573459] D [rpcsvc.c:2198:rpcsvc_init] 0-rpc-service: RPC service inited.
[2015-02-22 14:29:41.573501] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GF-DUMP, Num: 123451501, Ver: 1, Port: 0
[2015-02-22 14:29:41.573559] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.6.2/rpc-transport/socket.so
[2015-02-22 14:29:41.573700] D [socket.c:3684:socket_init] 0-socket.management: disabling nodelay
[2015-02-22 14:29:41.573750] D [socket.c:3799:socket_init] 0-socket.management: SSL support on the I/O path is NOT enabled
[2015-02-22 14:29:41.573787] D [socket.c:3802:socket_init] 0-socket.management: SSL support for glusterd is NOT enabled
[2015-02-22 14:29:41.573819] D [socket.c:3819:socket_init] 0-socket.management: using system polling thread
[2015-02-22 14:29:41.574423] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc cli, Num: 1238463, Ver: 2, Port: 0
[2015-02-22 14:29:41.574491] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Handshake (CLI Getspec), Num: 14398633, Ver: 2, Port: 0
[2015-02-22 14:29:41.575176] D [glusterd-utils.c:8288:glusterd_sm_tr_log_init] 0-: returning 0
[2015-02-22 14:29:41.575260] D [glusterd.c:1484:init] 0-management: cannot get run-with-valgrind value
Traceback (most recent call last):
  File "/usr/local/libexec/glusterfs/python/syncdaemon/gsyncd.py", line 33, in <module>
    import resource
  File "/usr/local/libexec/glusterfs/python/syncdaemon/resource.py", line 26, in <module>
    from errno import EEXIST, ENOENT, ENODATA, ENOTDIR, ELOOP
ImportError: cannot import name ENODATA
[2015-02-22 14:29:41.950098] E [glusterd.c:436:glusterd_check_gsync_present] 0-glusterd: geo-replication module not working as desired
[2015-02-22 14:29:41.951799] D [glusterd.c:446:glusterd_check_gsync_present] 0-glusterd: Returning -1
[2015-02-22 14:29:41.951887] E [xlator.c:425:xlator_init] 0-management: Initialization of volume 'management' failed, review your volfile again
[2015-02-22 14:29:41.951940] E [graph.c:322:glusterfs_graph_init] 0-management: initializing translator failed
[2015-02-22 14:29:41.951972] E [graph.c:525:glusterfs_graph_activate] 0-graph: init failed
[2015-02-22 14:29:41.952620] D [logging.c:1740:gf_log_flush_extra_msgs] 0-logging-infra: Log buffer size reduced. About to flush 2 extra log messages
[2015-02-22 14:29:41.952709] D [logging.c:1743:gf_log_flush_extra_msgs] 0-logging-infra: Just flushed 2 extra log messages
[2015-02-22 14:29:41.953256] W [MSGID: 100032] [glusterfsd.c:1194:cleanup_and_exit] 0-: received signum (0), shutting down
[2015-02-22 14:29:41.953354] D [glusterfsd-mgmt.c:2244:glusterfs_mgmt_pmap_signout] 0-fsd-mgmt: portmapper signout arguments not given


Expected results:

3.6.0-beta3;
craig@zbox:/un/glusterfs> glusterd --debug
[2015-02-22 14:08:05.840559] I [MSGID: 100030] [glusterfsd.c:2018:main] 0-glusterd: Started running glusterd version 3.6.0beta3 (args: glusterd --debug)
[2015-02-22 14:08:05.840725] D [logging.c:1762:__gf_log_inject_timer_event] 0-logging-infra: Starting timer now. Timeout = 120, current buf size = 5
[2015-02-22 14:08:05.841718] D [MSGID: 0] [glusterfsd.c:613:get_volfp] 0-glusterfsd: loading volume file /usr/local/etc/glusterfs/glusterd.vol
[2015-02-22 14:08:05.855342] I [glusterd.c:1214:init] 0-management: Maximum allowed open file descriptors set to 65536
[2015-02-22 14:08:05.855694] I [glusterd.c:1259:init] 0-management: Using /var/lib/glusterd as working directory
[2015-02-22 14:08:05.856411] C [logging.c:2315:gf_cmd_log_init] 0-management: Permission denied
[2015-02-22 14:08:05.856507] C [glusterd.c:1275:init] 0-this->name: Unable to create cmd log file /var/log/glusterfs/.cmd_log_history
craig@zbox:/un/glusterfs> sudo glusterd --debug
[2015-02-22 14:08:10.798663] I [MSGID: 100030] [glusterfsd.c:2018:main] 0-glusterd: Started running glusterd version 3.6.0beta3 (args: glusterd --debug)
[2015-02-22 14:08:10.798827] D [logging.c:1762:__gf_log_inject_timer_event] 0-logging-infra: Starting timer now. Timeout = 120, current buf size = 5
[2015-02-22 14:08:10.799692] D [MSGID: 0] [glusterfsd.c:613:get_volfp] 0-glusterfsd: loading volume file /usr/local/etc/glusterfs/glusterd.vol
[2015-02-22 14:08:10.812203] I [glusterd.c:1214:init] 0-management: Maximum allowed open file descriptors set to 65536
[2015-02-22 14:08:10.812537] I [glusterd.c:1259:init] 0-management: Using /var/lib/glusterd as working directory
[2015-02-22 14:08:10.813301] D [glusterd.c:391:glusterd_rpcsvc_options_build] 0-: listen-backlog value: 128
[2015-02-22 14:08:10.813902] D [rpcsvc.c:2198:rpcsvc_init] 0-rpc-service: RPC service inited.
[2015-02-22 14:08:10.813995] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GF-DUMP, Num: 123451501, Ver: 1, Port: 0
[2015-02-22 14:08:10.814134] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.6.0beta3/rpc-transport/socket.so
[2015-02-22 14:08:10.864547] D [socket.c:3733:socket_init] 0-socket.management: SSL support on the I/O path is NOT enabled
[2015-02-22 14:08:10.864631] D [socket.c:3736:socket_init] 0-socket.management: SSL support for glusterd is NOT enabled
[2015-02-22 14:08:10.864668] D [socket.c:3753:socket_init] 0-socket.management: using system polling thread
[2015-02-22 14:08:10.864713] D [name.c:550:server_fill_address_family] 0-socket.management: option address-family not specified, defaulting to inet
[2015-02-22 14:08:10.864849] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.6.0beta3/rpc-transport/rdma.so
[2015-02-22 14:08:10.865015] E [rpc-transport.c:266:rpc_transport_load] 0-rpc-transport: Cannot open "/usr/local/lib/glusterfs/3.6.0beta3/rpc-transport/rdma.so"
[2015-02-22 14:08:10.865058] W [rpc-transport.c:270:rpc_transport_load] 0-rpc-transport: volume 'rdma.management': transport-type 'rdma' is not valid or not found on this machine
[2015-02-22 14:08:10.865094] W [rpcsvc.c:1524:rpcsvc_transport_create] 0-rpc-service: cannot create listener, initing the transport failed
[2015-02-22 14:08:10.865137] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc peer, Num: 1238437, Ver: 2, Port: 0
[2015-02-22 14:08:10.865177] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc cli read-only, Num: 1238463, Ver: 2, Port: 0
[2015-02-22 14:08:10.865212] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc mgmt, Num: 1238433, Ver: 2, Port: 0
[2015-02-22 14:08:10.865251] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc mgmt v3, Num: 1238433, Ver: 3, Port: 0
[2015-02-22 14:08:10.865286] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Portmap, Num: 34123456, Ver: 1, Port: 0
[2015-02-22 14:08:10.865324] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Handshake, Num: 14398633, Ver: 2, Port: 0
[2015-02-22 14:08:10.865359] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster MGMT Handshake, Num: 1239873, Ver: 1, Port: 0
[2015-02-22 14:08:10.865521] D [rpcsvc.c:2198:rpcsvc_init] 0-rpc-service: RPC service inited.
[2015-02-22 14:08:10.865562] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GF-DUMP, Num: 123451501, Ver: 1, Port: 0
[2015-02-22 14:08:10.865619] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.6.0beta3/rpc-transport/socket.so
[2015-02-22 14:08:10.865761] D [socket.c:3618:socket_init] 0-socket.management: disabling nodelay
[2015-02-22 14:08:10.865810] D [socket.c:3733:socket_init] 0-socket.management: SSL support on the I/O path is NOT enabled
[2015-02-22 14:08:10.865847] D [socket.c:3736:socket_init] 0-socket.management: SSL support for glusterd is NOT enabled
[2015-02-22 14:08:10.865880] D [socket.c:3753:socket_init] 0-socket.management: using system polling thread
[2015-02-22 14:08:10.866504] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc cli, Num: 1238463, Ver: 2, Port: 0
[2015-02-22 14:08:10.866572] D [rpcsvc.c:1801:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Handshake (CLI Getspec), Num: 14398633, Ver: 2, Port: 0
[2015-02-22 14:08:10.867306] D [glusterd-utils.c:8262:glusterd_sm_tr_log_init] 0-: returning 0
[2015-02-22 14:08:10.867410] D [glusterd.c:1484:init] 0-management: cannot get run-with-valgrind value
[2015-02-22 14:08:11.006665] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:11.006745] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:11.025122] D [store.c:304:gf_store_retrieve_value] 0-: key operating-version found
[2015-02-22 14:08:11.025246] I [glusterd-store.c:2043:glusterd_restore_op_version] 0-glusterd: retrieved op-version: 30600
[2015-02-22 14:08:11.031923] D [glusterd-utils.c:513:glusterd_volinfo_new] 0-management: Returning 0
[2015-02-22 14:08:11.088068] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:11.088302] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:11.088684] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:11.107430] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.107521] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = type value = 2
[2015-02-22 14:08:11.107675] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.107726] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = count value = 2
[2015-02-22 14:08:11.107829] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.107938] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = status value = 1
[2015-02-22 14:08:11.108061] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.108219] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = sub_count value = 2
[2015-02-22 14:08:11.108416] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.108577] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = stripe_count value = 1
[2015-02-22 14:08:11.108777] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.108968] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = replica_count value = 2
[2015-02-22 14:08:11.109564] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.109742] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = version value = 3
[2015-02-22 14:08:11.109961] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.110102] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = transport-type value = 0
[2015-02-22 14:08:11.110315] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.110383] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = volume-id value = 1d1480ce-06aa-4ed6-95df-789e2cbb60f0
[2015-02-22 14:08:11.110537] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.110593] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = username value = cac93abb-7df2-47ee-953f-f0315e3f11e9
[2015-02-22 14:08:11.110728] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.110780] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = password value = 0c1744b3-f613-47c4-8038-6ea015a93605
[2015-02-22 14:08:11.110898] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.110948] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = op-version value = 2
[2015-02-22 14:08:11.111088] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.111152] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = client-op-version value = 2
[2015-02-22 14:08:11.111270] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.111328] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = parent_volname value = N/A
[2015-02-22 14:08:11.111464] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.111525] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = restored_from_snap value = 00000000-0000-0000-0000-000000000000
[2015-02-22 14:08:11.111655] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.111706] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = snap-max-hard-limit value = 256
[2015-02-22 14:08:11.111845] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.111896] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = brick-0 value = 192.168.1.3:-data-brick1-gv2
[2015-02-22 14:08:11.112033] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.112087] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = brick-1 value = 192.168.1.2:-data-brick1-gv2
[2015-02-22 14:08:11.112227] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:11.112700] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:11.112834] D [glusterd-utils.c:1020:glusterd_brickinfo_new] 0-management: Returning 0
[2015-02-22 14:08:11.113076] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.113270] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.113422] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.113549] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.113657] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.113767] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.113892] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114025] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114136] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114266] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114418] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114558] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114680] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114797] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.114940] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.115066] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.115198] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.116374] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:11.116498] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:11.116635] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:11.117667] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.117850] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:11.117945] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.387474] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.387608] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.387706] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.387797] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.387886] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.387989] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.388096] D [glusterd-utils.c:1020:glusterd_brickinfo_new] 0-management: Returning 0
[2015-02-22 14:08:12.388238] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.388690] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.388763] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.388852] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.392263] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.392442] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.392532] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.392624] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.392711] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.392797] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.392884] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.392974] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.393074] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.393141] D [glusterd-store.c:2382:glusterd_store_retrieve_bricks] 0-: Returning with 0
[2015-02-22 14:08:12.395058] D [glusterd-utils.c:2255:glusterd_volume_compute_cksum] 0-management: Returning with 0
[2015-02-22 14:08:12.427564] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.428298] D [store.c:304:gf_store_retrieve_value] 0-: key version found
[2015-02-22 14:08:12.428463] D [store.c:458:gf_store_handle_destroy] 0-: Returning 0
[2015-02-22 14:08:12.429119] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.429587] D [glusterd-utils.c:2255:glusterd_volume_compute_cksum] 0-management: Returning with 0
[2015-02-22 14:08:12.429892] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.430446] D [store.c:372:gf_store_save_value] 0-: returning: 0
[2015-02-22 14:08:12.430597] D [store.c:372:gf_store_save_value] 0-: returning: 0
[2015-02-22 14:08:12.490580] D [store.c:458:gf_store_handle_destroy] 0-: Returning 0
[2015-02-22 14:08:12.490911] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.490961] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.491039] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.512438] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.512644] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.513033] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.513109] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.513229] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.513791] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.513976] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.514102] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.514232] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.514395] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.514512] D [glusterd-utils.c:513:glusterd_volinfo_new] 0-management: Returning 0
[2015-02-22 14:08:12.530551] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.530649] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.530777] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.544922] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.544992] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = type value = 2
[2015-02-22 14:08:12.545109] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545148] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = count value = 2
[2015-02-22 14:08:12.545227] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545264] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = status value = 1
[2015-02-22 14:08:12.545342] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545391] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = sub_count value = 2
[2015-02-22 14:08:12.545470] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545507] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = stripe_count value = 1
[2015-02-22 14:08:12.545584] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545622] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = replica_count value = 2
[2015-02-22 14:08:12.545699] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545737] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = version value = 2
[2015-02-22 14:08:12.545814] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545851] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = transport-type value = 0
[2015-02-22 14:08:12.545930] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.545967] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = volume-id value = e9982e83-42a2-4f80-8d2f-9b6a982e12fa
[2015-02-22 14:08:12.546052] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546090] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = username value = 67f0c416-8b95-4567-a6eb-21e0bfb63cd1
[2015-02-22 14:08:12.546170] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546207] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = password value = bfaec7d0-ef1b-4eb3-9c23-b9e4de93197d
[2015-02-22 14:08:12.546285] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546322] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = op-version value = 2
[2015-02-22 14:08:12.546413] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546451] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = client-op-version value = 2
[2015-02-22 14:08:12.546530] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546568] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = parent_volname value = N/A
[2015-02-22 14:08:12.546647] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546684] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = restored_from_snap value = 00000000-0000-0000-0000-000000000000
[2015-02-22 14:08:12.546767] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546804] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = snap-max-hard-limit value = 256
[2015-02-22 14:08:12.546885] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.546922] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = brick-0 value = 192.168.1.3:-data-brick1-shared
[2015-02-22 14:08:12.547004] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.547041] D [glusterd-store.c:2642:glusterd_store_update_volinfo] 0-: key = brick-1 value = blueeye:-data-brick1-shared
[2015-02-22 14:08:12.547132] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.547244] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.547315] D [glusterd-utils.c:1020:glusterd_brickinfo_new] 0-management: Returning 0
[2015-02-22 14:08:12.547472] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.547557] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.547637] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.547716] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.547796] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.547875] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.547955] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548034] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548115] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548195] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548275] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548355] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548445] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548525] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548606] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548686] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.548765] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.563213] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.563299] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.563440] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.564179] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.564401] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.564550] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.564694] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.564804] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.564892] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.564980] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.565066] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.565165] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.565257] D [glusterd-utils.c:1020:glusterd_brickinfo_new] 0-management: Returning 0
[2015-02-22 14:08:12.565349] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.565668] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.565717] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.565799] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.584794] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.584991] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.585133] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.585271] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.585406] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.585537] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.585672] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.585796] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.585941] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.586037] D [glusterd-store.c:2382:glusterd_store_retrieve_bricks] 0-: Returning with 0
[2015-02-22 14:08:12.588145] D [glusterd-utils.c:2255:glusterd_volume_compute_cksum] 0-management: Returning with 0
[2015-02-22 14:08:12.630532] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.653146] D [store.c:304:gf_store_retrieve_value] 0-: key version found
[2015-02-22 14:08:12.653299] D [store.c:458:gf_store_handle_destroy] 0-: Returning 0
[2015-02-22 14:08:12.653677] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.654014] D [glusterd-utils.c:2255:glusterd_volume_compute_cksum] 0-management: Returning with 0
[2015-02-22 14:08:12.654230] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.654800] D [store.c:372:gf_store_save_value] 0-: returning: 0
[2015-02-22 14:08:12.655213] D [store.c:372:gf_store_save_value] 0-: returning: 0
[2015-02-22 14:08:12.734186] D [store.c:458:gf_store_handle_destroy] 0-: Returning 0
[2015-02-22 14:08:12.734537] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.734588] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.734666] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.755851] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.756065] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.756497] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.756578] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.756703] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.757217] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.757418] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.757556] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.757711] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.757873] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.758060] D [glusterd-store.c:3098:glusterd_store_retrieve_volumes] 0-: Returning with 0
[2015-02-22 14:08:12.779243] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.779326] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.779445] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.803875] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.803953] D [glusterd-utils.c:8262:glusterd_sm_tr_log_init] 0-: returning 0
[2015-02-22 14:08:12.804065] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.804148] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.804190] D [glusterd-peer-utils.c:422:glusterd_peer_hostname_new] 0-glusterd: Returning 0
[2015-02-22 14:08:12.804276] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.804335] I [glusterd-handler.c:3142:glusterd_friend_add_from_peerinfo] 0-management: connect returned 0
[2015-02-22 14:08:12.804531] D [glusterd-handler.c:2980:glusterd_transport_inet_options_build] 0-glusterd: Returning 0
[2015-02-22 14:08:12.804642] I [rpc-clnt.c:969:rpc_clnt_connection_init] 0-management: setting frame-timeout to 600
[2015-02-22 14:08:12.804684] D [rpc-clnt.c:981:rpc_clnt_connection_init] 0-management: setting ping-timeout to 30
[2015-02-22 14:08:12.804740] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.6.0beta3/rpc-transport/socket.so
[2015-02-22 14:08:12.804921] D [socket.c:3733:socket_init] 0-management: SSL support on the I/O path is NOT enabled
[2015-02-22 14:08:12.804960] D [socket.c:3736:socket_init] 0-management: SSL support for glusterd is NOT enabled
[2015-02-22 14:08:12.804993] D [socket.c:3753:socket_init] 0-management: using system polling thread
[2015-02-22 14:08:12.812226] D [common-utils.c:252:gf_resolve_ip6] 0-resolver: returning ip-192.168.1.2 (port-24007) for hostname: blueeye and port: 24007
[2015-02-22 14:08:12.812320] D [socket.c:2751:socket_fix_ssl_opts] 0-management: disabling SSL for portmapper connection
[2015-02-22 14:08:12.812629] D [glusterd-handler.c:2919:glusterd_rpc_create] 0-management: returning 0
[2015-02-22 14:08:12.812737] D [glusterd-store.c:4110:glusterd_store_retrieve_peers] 0-: Returning with 0
[2015-02-22 14:08:12.827139] D [glusterd-store.c:3515:glusterd_store_retrieve_missed_snaps_list] 0-management: EOF for missed_snap_list
[2015-02-22 14:08:12.827233] D [glusterd-store.c:3616:glusterd_store_retrieve_snaps] 0-: Returning with 0
[2015-02-22 14:08:12.828605] D [glusterd-peer-utils.c:121:glusterd_peerinfo_find_by_hostname] 0-management: Unable to find friend: 192.168.1.3
[2015-02-22 14:08:12.828719] D [common-utils.c:2896:gf_is_local_addr] 0-management: 192.168.1.3 
[2015-02-22 14:08:12.828961] D [common-utils.c:2793:gf_interface_search] 0-management: 192.168.1.3 is local address at interface wlan0
[2015-02-22 14:08:12.829156] D [store.c:304:gf_store_retrieve_value] 0-: key UUID found
[2015-02-22 14:08:12.829229] D [glusterd-store.c:2112:glusterd_retrieve_uuid] 0-: Returning 0
[2015-02-22 14:08:12.829290] I [glusterd.c:146:glusterd_uuid_init] 0-management: retrieved UUID: 595596a7-2a35-4289-b876-ea77bfbaf3d4
[2015-02-22 14:08:12.829329] D [glusterd-peer-utils.c:156:glusterd_hostname_to_uuid] 0-management: returning 0
[2015-02-22 14:08:12.829362] D [glusterd-utils.c:1060:glusterd_resolve_brick] 0-management: Returning 0
[2015-02-22 14:08:12.829735] D [glusterd-peer-utils.c:156:glusterd_hostname_to_uuid] 0-management: returning 0
[2015-02-22 14:08:12.829790] D [glusterd-utils.c:1060:glusterd_resolve_brick] 0-management: Returning 0
[2015-02-22 14:08:12.830544] D [glusterd-peer-utils.c:121:glusterd_peerinfo_find_by_hostname] 0-management: Unable to find friend: 192.168.1.3
[2015-02-22 14:08:12.830612] D [common-utils.c:2896:gf_is_local_addr] 0-management: 192.168.1.3 
[2015-02-22 14:08:12.830775] D [common-utils.c:2793:gf_interface_search] 0-management: 192.168.1.3 is local address at interface wlan0
[2015-02-22 14:08:12.830819] D [glusterd-peer-utils.c:156:glusterd_hostname_to_uuid] 0-management: returning 0
[2015-02-22 14:08:12.830886] D [glusterd-utils.c:1060:glusterd_resolve_brick] 0-management: Returning 0
[2015-02-22 14:08:12.830944] D [glusterd-peer-utils.c:600:gd_peerinfo_find_from_hostname] 0-management: Friend blueeye found.. state: 3
[2015-02-22 14:08:12.830998] D [glusterd-peer-utils.c:156:glusterd_hostname_to_uuid] 0-management: returning 0
[2015-02-22 14:08:12.831052] D [glusterd-utils.c:1060:glusterd_resolve_brick] 0-management: Returning 0
[2015-02-22 14:08:12.831116] D [glusterd-store.c:4325:glusterd_restore] 0-: Returning 0
[2015-02-22 14:08:12.831538] D [store.c:418:gf_store_handle_new] 0-: Returning 0
[2015-02-22 14:08:12.831627] D [store.c:437:gf_store_handle_retrieve] 0-: Returning 0
[2015-02-22 14:08:12.831776] D [store.c:499:gf_store_iter_new] 0-: Returning with 0
[2015-02-22 14:08:12.871004] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.871148] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.871230] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.871308] D [store.c:608:gf_store_iter_get_next] 0-: Returning with 0
[2015-02-22 14:08:12.871408] D [store.c:608:gf_store_iter_get_next] 0-: Returning with -1
[2015-02-22 14:08:12.871467] D [store.c:458:gf_store_handle_destroy] 0-: Returning 0
Final graph:
+------------------------------------------------------------------------------+
  1: volume management
  2:     type mgmt/glusterd
  3:     option rpc-auth.auth-glusterfs on
  4:     option rpc-auth.auth-unix on
  5:     option rpc-auth.auth-null on
  6:     option transport.socket.listen-backlog 128
  7:     option ping-timeout 30
  8:     option transport.socket.read-fail-log off
  9:     option transport.socket.keepalive-interval 2
 10:     option transport.socket.keepalive-time 10
 11:     option transport-type rdma
 12:     option working-directory /var/lib/glusterd
 13: end-volume
 14:  
+------------------------------------------------------------------------------+


Additional info:
FreeBSD project PR -- https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=194409

--- Additional comment from Niels de Vos on 2015-02-22 10:22:26 EST ---

From the log above:

Traceback (most recent call last):
  File "/usr/local/libexec/glusterfs/python/syncdaemon/gsyncd.py", line 33, in <module>
    import resource
  File "/usr/local/libexec/glusterfs/python/syncdaemon/resource.py", line 26, in <module>
    from errno import EEXIST, ENOENT, ENODATA, ENOTDIR, ELOOP
ImportError: cannot import name ENODATA


gsyncd is part of geo-replication, moving the bug to the right component.

Only users that install geo-replication on FreeBSD should be affected. In case geo-replication is an optional component on FreeBSD, uninstalling it should prevent this error.

--- Additional comment from Harshavardhana on 2015-02-22 19:04:36 EST ---

The larger issue is not just errno compatibility, what i saw was that it is rather hard to support FreeBSD for geo-replication. 

Due to some hard met dependencies - geo-replication oddly uses libcxattr.py its own Xattr wrapper implementation around libc {getxattr,setxattr,listxattr} calls

All geo-replication is highly dependent on that so for a cross platform based support we need to fix this libcxattr.py

For example 

~~~
>>> import sys
>>> sys.platform
'freebsd10'
>>> from ctypes import CDLL
>>> from ctypes.util import find_library 
>>> libc = CDLL(find_library("libc"))
>>> getattr(libc, "lgetxattr")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/local/lib/python2.7/ctypes/__init__.py", line 378, in __getattr__
    func = self.__getitem__(name)
  File "/usr/local/lib/python2.7/ctypes/__init__.py", line 383, in __getitem__
    func = self._FuncPtr((name_or_ordinal, self))
AttributeError: Undefined symbol "lgetxattr"
>>>
>>> getattr(libc, "extattr_get_file")
<_FuncPtr object at 0x801f41390>
>>>
~~~ 

So in general geo-replication is not going to work on FreeBSD for the time being with some good changes to make it more portable. 

Using our libcxattr.py would have had some clear advantages than using more portable python's own 'xattr' implementation.  But it isn't too late to ponder upon what it takes to use just the standard 'xattr' implementation. 

NOTE: OSX implements similar semantics as GNU platforms so geo-replication might just work without any further compatibility issues.
Comment 1 Vijay Bellur 2016-01-28 06:32:28 EST
REVIEW: http://review.gluster.org/13311 (geo-rep: Use xattr lib instead of libcxattr) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)
Comment 2 Mike McCune 2016-03-28 18:18:06 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.